Sign a CWT credential
Returns a signed CWT credential generated from a provided valid payload.
The payload can include any number of custom claims, as CWT credentials do not comply with any specific standard or specification.
Roles
Analytics Events
bearerAuthAuthorizationBearer <token>CWT credential payload to sign
application/json- body
Sign CWT credential Request
payload*CompactCredentialSignRequest
revocable?booleanWhen set to true, the signed credential can later be revoked. When set to false, the credential cannot be revoked.
falseisRevoked?booleanWhen set to true, the signed credential is issued as revoked, and must be unrevoked to become valid. If isRevoked is provided (e.g. set to either true or false), revocable must be set to true.
falseCWT credential signed
application/json- response
Sign CWT credential response
id*stringUnique credential identifier. This is identical to the jti claim, which is the CBOR Web Token (CWT) identifier.
encoded*stringURL Encoded CWT credential payload
decoded*CompactCredentialSignResponse
curl -X POST "https://example.com/v2/credentials/compact/sign" \ -H "Content-Type: application/json" \ -d '{ "payload": { "iss": "did:web:organization.com", "property1": "...", "property2": "..." } }'{ "id": "string", "encoded": "CSC:/1/2KCE3IQEJB5DCMSLN5KWKZABE2QFQRVDAF4CIZDJMQ5HOZLCHIYDGOJUFUYTENJNGIZTOLJVGIWTCMJQFZXGO4TPNMXGS33ENZQW2ZLEJJXWQ3QH3BAFB3LISHKGQ2KBJ6Q35NXZFD6LGZ2YIAYHZAKCF7NKTIUZUTZQ3PWDBALAWVRG5XL2H4P4WFK25X3Y5X5RTN7NOZUST67KLCEFS3EPXQU5KM7VUGOPXJLQ6K5U676PMQNWRZCZ", "decoded": { "iss": "did:web:organization.com", "nbf": 1645743759, "exp": 1646743759, "iat": 1645743759, "jti": "6tVMmKodQNaLywW6NGA2aA", "type": "CredentialType", "property1": "...", "property2": "..." }}How would you rate this page?
Retrieve authorization server metadata GET
Returns the OAuth 2.0 Authorization Server Metadata for your tenant. This is the standard OAuth 2.0 Well-Known endpoint, providing public metadata that describes the tenant’s OAuth 2.0 configuration and capabilities. https://www.rfc-editor.org/rfc/rfc8414.html This endpoint is intended for public consumption, and as such does not require authentication.
Format a CWT credential as a QR code POST
Returns a QR code representation of a CWT credential from a provided encoded string representation of that credential.